%define module_name WWW-REST
Epoch: 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Struct.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(FindBin.pm) perl(HTTP/Request/Common.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(LWP/UserAgent.pm) perl(Module/Build.pm) perl(Socket.pm) perl(Test/More.pm) perl(URI.pm) perl(constant.pm) perl(strict.pm) perl(vars.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.022
Release: alt1
Summary: Base class for REST resources
Group: Development/Perl
License: unrestricted
URL: http://metacpan.org/release/WWW-REST

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SH/SHLOMIF/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module is a mixin of the URI manpage, the LWP::UserAgent manpage, the HTTP::Response manpage
and an user-defined dispatch module.  It is currently just a proof of
concept for a resource-oriented API framework, also known as REST
(Representational State Transfer).


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/W*

%changelog
* Sat Feb 17 2018 Igor Vlasenko <viy@altlinux.ru> 1:0.022-alt1
- regenerated from template by package builder

* Sun Oct 08 2017 Igor Vlasenko <viy@altlinux.ru> 1:0.021-alt1
- regenerated from template by package builder

* Mon Aug 28 2017 Igor Vlasenko <viy@altlinux.ru> 1:0.02-alt2
- regenerated from template by package builder

* Thu Oct 15 2015 Igor Vlasenko <viy@altlinux.ru> 0.011-alt1
- regenerated from template by package builder

* Tue Sep 03 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

